<?xml version="1.0" encoding="utf-8"?>
<RelativeLayout xmlns:android="http://schemas.android.com/apk/res/android"
    android:layout_width="match_parent"
    android:layout_height="match_parent"
    android:paddingLeft="40dp"
    android:paddingRight="40dp"
    android:orientation="vertical"
    android:background="@color/ui_surface">

    <TextView
        android:id="@+id/titleTv"
        android:layout_width="wrap_content"
        android:layout_height="wrap_content"
        android:layout_marginTop="20dp"
        android:includeFontPadding="false"
        android:text="手机号验证"
        android:textColor="@color/text_black"
        android:textSize="22sp"
        android:textStyle="bold" />

    <TextView
        android:id="@+id/descTv"
        android:layout_width="wrap_content"
        android:layout_height="wrap_content"
        android:layout_below="@+id/titleTv"
        android:layout_marginTop="8dp"
        android:includeFontPadding="false"
        android:text="为加强账户安全，请完成验证操作"
        android:textColor="@color/text_tertiary"
        android:textSize="12sp" />

    <RelativeLayout
        android:id="@+id/phoneContainer"
        android:layout_width="match_parent"
        android:layout_height="44dp"
        android:layout_below="@+id/descTv"
        android:layout_marginTop="32dp"
        android:background="@drawable/bg_login_edit">

        <TextView
            android:id="@+id/login_phone_prefix"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_centerVertical="true"
            android:layout_marginLeft="20dp"
            android:text="@string/login_phone_prefix"
            android:textColor="@color/text_tertiary"
            android:textSize="16sp" />

        <View
            android:id="@+id/phoneDivider"
            android:layout_width="1dp"
            android:layout_height="12dp"
            android:layout_centerVertical="true"
            android:layout_marginLeft="16dp"
            android:layout_toRightOf="@+id/login_phone_prefix"
            android:background="@color/black_alpha_5" />

        <com.gh.gamecenter.common.view.ClearEditTextNormal
            android:id="@+id/phoneEt"
            android:layout_width="match_parent"
            android:layout_height="match_parent"
            android:layout_marginLeft="16dp"
            android:layout_toRightOf="@+id/phoneDivider"
            android:background="@null"
            android:hint="@string/input_phone_hint"
            android:inputType="number"
            android:maxLength="13"
            android:paddingTop="10dp"
            android:paddingRight="16dp"
            android:paddingBottom="10dp"
            android:textColor="@color/text_primary"
            android:textColorHint="@color/text_instance"
            android:textCursorDrawable="@drawable/cursor_color"
            android:textSize="16sp" />
    </RelativeLayout>

    <RelativeLayout
        android:id="@+id/captchaContainer"
        android:layout_width="wrap_content"
        android:layout_height="wrap_content"
        android:layout_below="@+id/phoneContainer"
        android:layout_marginTop="16dp"
        android:background="@drawable/bg_login_edit">

        <EditText
            android:id="@+id/captchaEt"
            android:layout_width="match_parent"
            android:layout_height="44dp"
            android:layout_marginLeft="24dp"
            android:background="@null"
            android:hint="@string/input_captcha_hint"
            android:inputType="number"
            android:maxLength="8"
            android:paddingTop="10dp"
            android:paddingBottom="10dp"
            android:textColor="@color/text_primary"
            android:textColorHint="@color/text_instance"
            android:textCursorDrawable="@drawable/cursor_color"
            android:textSize="16sp" />

        <TextView
            android:id="@+id/captchaTv"
            android:layout_width="wrap_content"
            android:layout_height="25dp"
            android:layout_alignParentRight="true"
            android:layout_centerVertical="true"
            android:layout_marginRight="24dp"
            android:gravity="center"
            android:text="@string/login_get_captcha"
            android:textColor="@color/text_tertiary"
            android:textSize="14sp" />

        <View
            android:id="@+id/captchaDivider"
            android:layout_toLeftOf="@+id/captchaTv"
            android:layout_width="1dp"
            android:layout_height="12dp"
            android:layout_marginRight="16dp"
            android:layout_centerVertical="true"
            android:background="@color/black_alpha_5" />
    </RelativeLayout>

    <TextView
        android:id="@+id/verifyBtn"
        style="@style/PrimaryGradientButton"
        android:layout_width="match_parent"
        android:layout_height="44dp"
        android:layout_below="@+id/captchaContainer"
        android:layout_marginTop="16dp"
        android:alpha="0.6"
        android:enabled="false"
        android:gravity="center"
        android:text="立即验证"
        android:textSize="16sp" />

</RelativeLayout>